Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.xml.transformer
Class AbstractXStreamTransformer

    java.lang.Object
      org.mule.transformer.AbstractTransformer
          org.mule.transformer.AbstractMessageAwareTransformer
              org.mule.module.xml.transformer.AbstractXStreamTransformer

All Implemented Interfaces:
  MuleContextAware, Initialisable, NamedObject, BaseTransformer, Transformer

Direct Known Subclasses:
  ObjectToXml, XmlToObject

    public abstract class AbstractXStreamTransformer

extends AbstractMessageAwareTransformer

`AbstractXStreamTransformer` is a base class for all XStream based transformers. It takes care of creating and configuring the XStream parser.

Field Summary

Fields inherited from class org.mule.transformer.AbstractTransformer
`DEFAULT_TRUNCATE_LENGTH, endpoint, logger, muleContext, name, returnClass, sourceTypes`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Constructor Summary
`AbstractXStreamTransformer()`

Method Summary
`void` | `addAlias(String alias, Class aClass)`
`void` | `addConverter(Class<? extends com.thoughtworks.xstream.converters.Converter> converterClass)`
`Object` | `clone()`
`Map<String,Class>` | `getAliases()`
`Set<Class<? extends com.thoughtworks.xstream.converters.Converter>>` | `getConverters()`
`String` | `getDriverClass()`
`com.thoughtworks.xstream.XStream` | `getXStream()`
`void` | `initialise()` Template method where deriving classes can do any initialisation after the properties have been set on this transformer
`boolean` | `removeAlias(Class<? extends com.thoughtworks.xstream.converters.Converter> converterClass)`
`Class` | `removeAlias(String alias)`
`void` | `setAliases(Map<String,Class> aliases)`
`void` | `setConverters(Set<Class<? extends com.thoughtworks.xstream.converters.Converter>> converters)`
`void` | `setDriverClass(String driverClass)`

Methods inherited from class org.mule.transformer.AbstractMessageAwareTransformer
`doTransform, isSourceTypeSupported, transform`

Methods inherited from class org.mule.transformer.AbstractTransformer
`checkReturnClass, generateTransformerName, getEncoding, getEndpoint, getName, getReturnClass, getSourceTypes, isAcceptNull, isConsumed, isIgnoreBadInput, isSourceTypeSupported, registerSourceType, setEndpoint, setIgnoreBadInput, setMuleContext, setName, setReturnClass, toString, transform, transform, unregisterSourceType`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractXStreamTransformer

    public AbstractXStreamTransformer()

Method Detail

### getXStream

    public final com.thoughtworks.xstream.XStream getXStream()
                                                      throws TransformerException

  Throws:
    `TransformerException`

### clone

    public Object clone()
                 throws CloneNotSupportedException

  Overrides:
    `clone` in class `Object`
  Throws:
    `CloneNotSupportedException`

### getDriverClass

    public String getDriverClass()

### setDriverClass

    public void setDriverClass(String driverClass)

### getAliases

    public Map<String,Class> getAliases()

### setAliases

    public void setAliases(Map<String,Class> aliases)

### getConverters

    public Set<Class<? extends com.thoughtworks.xstream.converters.Converter>> getConverters()

### setConverters

    public void setConverters(Set<Class<? extends com.thoughtworks.xstream.converters.Converter>> converters)

### initialise

    public void initialise()
                    throws InitialisationException

  Description copied from class: `AbstractTransformer`
  Template method where deriving classes can do any initialisation after the properties have been set on this transformer

  Specified by:
    `initialise` in interface `Initialisable`
  Overrides:
    `initialise` in class `AbstractTransformer`
  Throws:
    `InitialisationException` - if a fatal error occurs causing the Mule instance to shutdown
    `RecoverableException` - if an error occurs that can be recovered from

### addAlias

    public void addAlias(String alias,
                         Class aClass)

### removeAlias

    public Class removeAlias(String alias)

### addConverter

    public void addConverter(Class<? extends com.thoughtworks.xstream.converters.Converter> converterClass)

### removeAlias

    public boolean removeAlias(Class<? extends com.thoughtworks.xstream.converters.Converter> converterClass)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.